# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /home/runner/work/distributions/distributions/plugin/ci/recipe, last modified Sun Dec 15 07:04:45 2024
# ------------------------------------------------

package:
  name: q2-assembly
  version: 2025.4.0.dev0+2.g3a645f4
source:
  path: /home/runner/work/distributions/distributions/plugin
build:
  script: make install
  string: h7a543e8_0
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h4bc722e_7
    - ca-certificates 2024.12.14 hbcca054_0
    - ld_impl_linux-64 2.43 h712a8e2_2
    - libffi 3.4.2 h7f98852_5
    - libgcc 14.2.0 h77fa898_1
    - libgcc-ng 14.2.0 h69a702a_1
    - libgomp 14.2.0 h77fa898_1
    - liblzma 5.6.3 hb9d3cd8_1
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.47.2 hee588c1_0
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 hb9d3cd8_2
    - ncurses 6.5 he02047a_1
    - openssl 3.4.0 hb9d3cd8_0
    - pip 24.3.1 pyh8b19718_0
    - python 3.10.16 he725a3c_1_cpython
    - readline 8.2 h8228510_1
    - setuptools 75.6.0 pyhff2d567_1
    - tk 8.6.13 noxft_h4845f30_101
    - tzdata 2024b hc8b5060_0
    - wheel 0.45.1 pyhd8ed1ab_1
  run:
    - beautifulsoup4
    - biopython
    - bowtie2 2.5.1.*
    - gridss
    - insilicoseq
    - megahit ==1.2.9
    - pysam 0.22.1.*
    - python_abi 3.10.* *_cp310
    - q2-demux 2025.4.*
    - q2-types 2025.4.*
    - q2templates 2025.4.*
    - qiime2 2025.4.*
    - quast
    - samtools
    - shortuuid
    - spades ==3.15.2
test:
  commands:
    - pytest --cov q2_assembly --cov-report xml:coverage.xml --pyargs q2_assembly
  imports:
    - q2_assembly
    - qiime2.plugins.assembly
  requires:
    - coverage
    - parameterized
    - pytest
    - pytest-cov
about:
  home: https://github.com/bokulich-lab/q2-assembly
  license: BSD-3-Clause
  license_family: BSD
extra:
  copy_test_source_files: true
  final: true
